#ifndef TOEQMDATABASE_H
#define TOEQMDATABASE_H

#include "spdlog/spdlog.h"
#include "lhhttpapi.h"
#include "GlobalInfo.h"

class ToEQMDataBase
{
public:
    ToEQMDataBase();
    ~ToEQMDataBase();

    /* 初始化WebAPI */
    bool initWebApi(const QString& url,const QString& serverIP,const QString& serID);
    /* 写入算法信息，写入tAction表 */
    bool writeAlgorithmInfo(std::vector<AlgorithmInfo>& vecInfo, std::vector<AlgorithmInfo>& vecNowInfo);
    /* 删除算法信息 */
    bool deleteAlgorithmInfo(std::vector<AlgorithmInfo>& vecDeleteInfo);
    /* 获取tAction数据 */
    bool getAlgorithmInfo(std::vector<AlgorithmInfo>& vecInfo);

private:
    std::shared_ptr<spdlog::logger> m_logger = nullptr;

    lhhttpapi* m_httpApi = nullptr;
    QString m_userToken;
};


#endif /* TOEQMDATABASE_H */
